IMA_ADPCM_decoder Struct Reference
Collaboration diagram for IMA_ADPCM_decoder:
[legend]

## Data Fields

WaveFMT | wavefmt
Uint16 | wSamplesPerBlock
struct IMA_ADPCM_decodestate | state [2]

## Detailed Description

Definition at line 223 of file SDL_wave.c.

## Field Documentation

## state

struct IMA_ADPCM_decodestate IMA_ADPCM_decoder::state[2]

Definition at line 228 of file SDL_wave.c.

Referenced by IMA_ADPCM_decode().

## wavefmt

WaveFMT IMA_ADPCM_decoder::wavefmt

Definition at line 225 of file SDL_wave.c.

Referenced by IMA_ADPCM_decode(), and InitIMA_ADPCM().

## wSamplesPerBlock

Uint16 IMA_ADPCM_decoder::wSamplesPerBlock

Definition at line 226 of file SDL_wave.c.

Referenced by IMA_ADPCM_decode(), and InitIMA_ADPCM().

The documentation for this struct was generated from the following file:

- src/audio/SDL_wave.c